# Uses of Class
com.clickhouse.jdbc.parser.SimpleCharStream

Packages that use SimpleCharStream
Package
Description
com.clickhouse.jdbc.parser

## Uses of SimpleCharStream in com.clickhouse.jdbc.parser

Fields in com.clickhouse.jdbc.parser declared as SimpleCharStream
Modifier and Type
Field
Description
`protected SimpleCharStream`
ClickHouseSqlParserTokenManager.`input_stream`
Methods in com.clickhouse.jdbc.parser with parameters of type SimpleCharStream
Modifier and Type
Method
Description
`void`
ClickHouseSqlParserTokenManager.`ReInit(SimpleCharStream stream)`
Reinitialise parser.
`void`
ClickHouseSqlParserTokenManager.`ReInit(SimpleCharStream stream, int lexState)`
Reinitialise parser.
Constructors in com.clickhouse.jdbc.parser with parameters of type SimpleCharStream
Modifier
Constructor
Description
``
`ClickHouseSqlParserTokenManager(SimpleCharStream stream)`
Constructor.
``
`ClickHouseSqlParserTokenManager(SimpleCharStream stream, int lexState)`
Constructor.